<?php

namespace Simple_Giveaways;

/**
 * Class SG_Giveaway_Logged_In
 */
class SG_Giveaway_User_Picker extends SG_Giveaway {

	/**
	 * @var string
	 */
	protected $type = 'user_picker';

	/**
	 * Is this Giveaway open for subscriptions?
	 *
	 * @return bool
	 */
	public function is_open_to_subscribe() {
		return false;
	}

	/**
	 * Return the reason for a closed giveaway.
	 *
	 * @return string
	 */
	public function get_not_open_reason() {
		return __( 'All registered users are participating in the Giveaway.', 'giveasap' );
	}
}
